Nvidia: Failed to load modele "glx" ASP14 ("New Year" update)

Автор: porcupine Дата: 06.01.2010 12:49 Доброго времени суток!

(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
compiled for 1.5.2, module version = 1.0.0
ABI class: X.Org Server Extension, version 1.1
(EE) module ABI major version (1) doesn't match the server's version (2)
(II) UnloadModule: "glx"
(II) Unloading /usr/lib/xorg/modules/extensions//libglx.so
(EE) Failed to load module "glx" (module requirement mismatch, 0)


> rpm -qf /usr/lib/xorg/modules/extensions//libglx.so

xorg-x11-server-Xorg-1.6.4-0.3.0.140asp.i386

> yum update

* asplinux: ftp.chg.ru
* asplinux-updates: ftp.chg.ru
Setting up Update Process
No Packages marked for Update

Благодарен за помощь!
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 13:33pen_iv Какой драйвер установлен? xorg-x11-drv-nvidia-** ?
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 14:01porcupine xorg-x11-drv-nvidia-newest-libs-190.42-2.0.140asp.i386
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 14:09BigAndy А kmod/akmod установлены?
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 14:13porcupine Похоже, что нет:

> rpm -qa |grep nvidia
xorg-x11-drv-nvidia-newest-libs-190.42-2.0.140asp.i386

> rpm -qa |grep kmod
libmikmod-3.2.0-3.beta2.0.140asp.i386

А нужны ли они? В зависимостях их нет.
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 14:44pen_iv Да, нужны. Странно что не установлены.
[alex@home data]$ sudo yum install xorg-x11-drv-nvidia-newest
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * asplinux: ftp.chg.ru
asplinux                                                                                                                              | 1.1 kB     00:00     
asplinux-updates                                                                                                                      | 1.1 kB     00:00     
asplinux-updates/primary                                                                                                              | 846 kB     00:03     
asplinux-updates                                                                                                                                   2373/2373
Setting up Install Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package xorg-x11-drv-nvidia-newest.i386 0:190.42-2.0.140asp set to be updated
--> Processing Dependency: nvidia-newest-kmod >= 190.42 for package: xorg-x11-drv-nvidia-newest-190.42-2.0.140asp.i386
--> Processing Dependency: nvidia-newest-kmod >= 190.42 for package: xorg-x11-drv-nvidia-newest-190.42-2.0.140asp.i386
--> Running transaction check
---> Package kmod-nvidia-newest.i686 0:190.42-1.0.140asp.1 set to be updated
--> Processing Dependency: kmod-nvidia-newest-2.6.30.9-102.0.140asp.i686 >= 190.42-1.0.140asp.1 for package: kmod-nvidia-newest-190.42-1.0.140asp.1.i686
--> Running transaction check
---> Package kmod-nvidia-newest-2.6.30.9-102.0.140asp.i686.i686 0:190.42-1.0.140asp.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================
 Package                                                      Арх.                Версия                               Repository                       Size
=============================================================================================================================================================
Installing:
 xorg-x11-drv-nvidia-newest                                   i386                190.42-2.0.140asp                    asplinux-updates                3.3 M
Installing for dependencies:
 kmod-nvidia-newest                                           i686                190.42-1.0.140asp.1                  asplinux-updates                 24 k
 kmod-nvidia-newest-2.6.30.9-102.0.140asp.i686                i686                190.42-1.0.140asp.1                  asplinux-updates                2.9 M

Transaction Summary
=============================================================================================================================================================
Install       3 Package(s)
Upgrade       0 Package(s)

Total download size: 6.2 M
Выполнить [y/N]: 
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 15:03porcupine Ну что ж, дальше в лес - больше дров.

dlopen: /usr/lib/libGLcore.so.1: undefined symbol: _nv000008gl
(EE) Failed to load /usr/lib/xorg/modules/extensions/nvidia//libglx.so
(EE) Failed to load module "glx" (loader failed, 7)
(EE) Jan 06 12:50:58 NVIDIA(0): Failed to initialize the GLX module; please check in your X
(EE) Jan 06 12:50:58 NVIDIA(0): log file that the GLX module has been loaded in your X
(EE) Jan 06 12:50:58 NVIDIA(0): server, and that the module is the NVIDIA GLX module. If
(EE) Jan 06 12:50:58 NVIDIA(0): you continue to encounter problems, Please try
(EE) Jan 06 12:50:58 NVIDIA(0): reinstalling the NVIDIA driver.
Error: API mismatch: the NVIDIA kernel module has version 173.14.20,
but this NVIDIA driver component has version 190.42. Please make
sure that the kernel module and all NVIDIA driver components
have the same version.


> rpm -qa |grep nvidia
kmod-nvidia-newest-2.6.30.9-102.0.140asp.i686-190.42-1.0.140asp.1.i686
xorg-x11-drv-nvidia-newest-190.42-2.0.140asp.i386
xorg-x11-drv-nvidia-newest-libs-190.42-2.0.140asp.i386
kmod-nvidia-newest-190.42-1.0.140asp.1.i686
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 16:31BigAndy Проверьте, возможно у вас воткнлось nouveaue
Есть подозрение, что известная проблемма конкуренции nouveaue и nvidia модулей.
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 16:38porcupine nouveau никогда не ставилась.

rpm -qa |grep nou
>

А что nouveau себя под nvidia прописывает? Зря это они тогда.
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 17:17BigAndy porcupine Пишет:
> А что nouveau себя под nvidia прописывает? Зря это
> они тогда.
Нет, конечно, никто никуда ничего не прописывает. Все гораздо хуже.

Старая проблемма несовместимости нового Xorg сервера . При загрузке по умоланию притяивается nouveaue и выгрузить его можно только полной выгрузкой ядра 9теость рестартом) и передачей параметра ядру
nouveau.modeset=0.
Re: nvidia: Failed to load modele "glx" ASP14 ("New Year" update) 06.01.2010 18:41pen_iv Врядли - ядро собрано с отключенным KMS для nouveau. Кажется, можно просто nouveau просто в blacklist вписать.
RSS-материал